/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux. 
 *
 * Copyright (c) Nokia 2002 and others. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef D_DLLC_PRIV_H
#define D_DLLC_PRIV_H

#include "nokia_priv.h"

void dllc_clean_timestamps(driver_priv_t*);
INT dllc_get_my_mac_addr(driver_priv_t*, char* mac);
void dllc_set_my_mac_addr(driver_priv_t*, char* mac);
void dllc_ontxcomplete (driver_priv_t*, UINT32 txresult );
void dllc_rxframe (driver_priv_t*, MAC src , MAC dest , INT16 type , UINT8 *frm , UINT32 len );

#endif 

