/***************************************************************************
 * The contents of this file are subject to the NOKOS License Version 1.0a
 * (the "License"); you may not use this file except in compliance with the
 * License. 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF  ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the 
 * License. 
 *
 * The Original Software is Nokia D211 Software for Linux.
 *
 * Copyright (c) 2002 Nokia. All Rights Reserved.
 *
 * Nokia is a registered trademark of Nokia Corporation.
 * Other product and company names mentioned herein may be
 * trademarks or tradenames of their respective owners. 
 *
 * Contributor(s): ______________________________________. 
 *
 **************************************************************************/

#ifndef NAAP_RAND_H
#define NAAP_RAND_H

#include "naap_am.h"

#ifdef __cplusplus
extern "C" {
#endif
	
/* Fill buffer with random data from a good source of randomness
   returns 0 if successful 

   Used on: NC */
int32_t am_rand(u_int8_t* buffer, u_int16_t bufferlen);

#ifdef __cplusplus
}
#endif

#endif /* NAAP_RAND_H not defined */
